# Channels

## Delete Channel

<mark style="color:red;">`DELETE`</mark> `https://api.clearfeed.app/v1/rest/channels/:id`

#### Path Parameters

| Name                                 | Type   | Description                                                                                                                                                                                                                                                                           |
| ------------------------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id<mark style="color:red;">\*</mark> | string | Slack Channel ID of the channel that needs to be deleted. See [conversations.list](https://docs.slack.dev/reference/methods/conversations.list/) Slack API or use the Channel IDs available from [Collections](/api/reference/api-reference/collections.md#get-collections) API call. |

{% tabs %}
{% tab title="200 Deletion is successful" %}

{% endtab %}

{% tab title="403: Forbidden Permission denied" %}

{% endtab %}
{% endtabs %}

## Move Channel To Another Collection

<mark style="color:purple;">`PATCH`</mark> `https://api.clearfeed.app/v1/rest/channels/:id`

#### Path Parameters

| Name                                 | Type   | Description                                                                                                                                                                                                                                                                         |
| ------------------------------------ | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id<mark style="color:red;">\*</mark> | string | Slack Channel ID of the channel that needs to be moved. See [conversations.list](https://docs.slack.dev/reference/methods/conversations.list/) Slack API or use the Channel IDs available from [Collections](/api/reference/api-reference/collections.md#get-collections) API call. |

#### Request Body

| Name                                             | Type | Description                                                                                                                                                                                                                                                                                       |
| ------------------------------------------------ | ---- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| collection\_id<mark style="color:red;">\*</mark> | int  | <p>ID of the collection the channel is to be moved in. </p><p></p><p><strong>Warning:</strong> Use ID returned by <a data-mention href="/pages/z5lBsXxhowmqfAsvO90c#get-collections">/pages/z5lBsXxhowmqfAsvO90c#get-collections</a>API call and not IDs referenced in the ClearFeed Web App.</p> |

{% tabs %}
{% tab title="200 Channel movement is successful" %}

{% endtab %}

{% tab title="403: Forbidden Permission denied" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clearfeed.ai/api/reference/api-reference/channels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
